/*
 * Category code goes here.
 * 
 */

#wrapper {
    padding-bottom: 0;
}

.h1.page-title {
    font-size: 2rem !important;
    font-weight: 500 !important;
    line-height: 2.7rem;
}

/*DESCRIPTION && ADDITIONAL DESCRIPTION*/
.c-category-description {
    max-width: 75%;
}
@media (max-width: 768px) {
    .c-category-description {
        max-width: 750px;
    }
}
.category-additional-description h2,
.category-description h2 {
    font-size: 1.25rem !important;
    margin-bottom: 0;
    text-align: left !important;
    padding: 1rem 0;
}
.category-description h4,
.category-description h3 {
    font-size: 1.125rem;
}
.category-description .d-flex.flex-wrap > div a {
    max-width: 165px !important;
    height: 100%;
    margin: auto;
    text-wrap: balance;
    background: #ffffff;
    padding: 1rem;
    gap: 0.5rem;
}
.category-additional-description p {
    display: inline;
}
.category-additional-description--truncate[data-view-more] {
    position: relative;
    width: inherit;
}
.category-additional-description--truncate {
    display: block;
    display: -webkit-box;
    font-size: 1em;
    height: 2.8rem;
    line-height: 1.4;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    display: block;
}
.category-additional-description--truncate[data-view-more]:after {
    content: "... " attr(data-view-more);
    position: absolute;
    display: inline-block;
    bottom: calc(0.125*1em);
    right: calc(0.125*1em);
    padding-left: calc(0.125*1em);
    cursor: pointer;
    background-color: #ffffff;
    background-image: linear-gradient(var(--color-text), var(--color-text));
    background-size: calc(100% - 2ch) 1px;
    background-position: right 100%;
    background-repeat: no-repeat;
    font-weight: 400;
}

/*SUBCATEGORIES*/
.product-list-subcategories {
    text-align: inherit;
    position: relative;
}
.product-list-subcategories .subcategories-items { 
    padding-bottom: 1rem;
}
.product-list-subcategories .subcategories-item {
    max-width: 165px;
    width: 100%;
    flex: none;

    &:hover a, 
    &:focus a {
        text-decoration: underline;
    }
    
}
.subcategories-item--spacer {
    width: calc(0.7* 1rem) !important;
}
.swiper-subcategories:hover .swiper-button-prev,
.swiper-subcategories:hover .swiper-button-next {
    transform: translate(0%, -50%);
}


/*PRODUCTS TOP*/
.products-sort-order.custom-select2:after {
    z-index: 9;
}

/*PAGINATION*/
.listing-progress-bar {
    max-width: 600px;
}
.listing-progress-bar .progress {
    max-width: 300px;
}
.pagination .js-search-link i.fa {
    pointer-events: none;
    vertical-align: middle;
}

/*FILTERS*/
#facets_search_center_dropdown {
    padding-bottom: 1.2rem;
}
#search_filters .facet-title-dropdown {
    background-color: transparent;
}
#search_filters .facet>ul {
    z-index: 99;
}
#search_filters .facet>ul.faceted-slider {
    max-width: 100%;
    width: 350px;
    min-width: 350px;
    box-shadow: none;
    border: 1px solid #25282A;
    padding: 22px;
}

#search_filters .facet>ul.faceted-slider .noUi-horizontal {
    height: 3px;
}

#search_filters .facet>ul.faceted-slider .noUi-horizontal .noUi-handle {
    width: 18px;
    height: 18px;
    background-color: #25282A;
    border-radius: 50%;
    top: -8px;
}

#search_filters .facet>ul.faceted-slider .noUi-connects {
    height: 3px;
}

#search_filters .facet > ul.faceted-slider .noUi-base {
    height: 3px;
}
#search_filters .facet > ul.facet_color,
#search_filters .facet > ul:not(.facet_color) {
    width: max-content;
    min-width: fit-content;
    max-width: calc(50vw / 1.425);
    max-height: 65vh;
    box-shadow: 0 0 10px #a7a7a7;
    border: 1px solid #25282A;
    padding: 15px 20px 20px 20px;
    transition: none;
    -webkit-transition: none;
}

#search_filters .facet > ul.facet_color {
    display: flex;
    flex-wrap:wrap;
    gap:10px;
}
#search_filters .facet>ul.facet_color li {
    margin-top: 5px;
    margin-bottom: 5px;
}
#search_filters .facet>ul.facet_color li label {
    border: 0;
    cursor: pointer;
    border-bottom: 1px solid #FFF;
    display: flex;
    gap: 5px;
    align-items: center;
}
#search_filters .facet>ul.facet_color li label:hover {
    border-bottom: 1px solid #CACACA;
}
#search_filters .facet>ul.facet_color li label.active {
    border-bottom: 1px solid #25282A !important;
}

#search_filters .facet>ul.facet_color li label * {
    text-align: left;
    float: left;
}

#search_filters .facet>ul.facet_color li label .rounded-circle {
    width: 14px;
    height: 14px;
}

#search_filters .facet>ul.facet_color li label a {
    font-size: 12px;
}